"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
require("jsdom-global/register");
var chai_1 = require("chai");
var config_1 = (0, tslib_1.__importDefault)(require("./config"));
var testkit_1 = require("../testkit");
describe('getUIConfig function', function () {
    afterEach(function () {
        (0, testkit_1.resetProperty)(navigator, 'userAgent');
    });
    it('should convert config if iPod', function () {
        var params = {};
        var expectedConfig = {
            hideMainUI: true,
            disableControlWithClickOnPlayer: true,
            disableControlWithKeyboard: true,
            nativeBrowserControls: true,
        };
        (0, testkit_1.setProperty)(navigator, 'userAgent', 'iPod');
        (0, chai_1.expect)((0, config_1.default)(params)).to.be.deep.equal(expectedConfig);
    });
    it('should convert config if iPhone', function () {
        var params = {};
        var expectedConfig = {
            hideMainUI: true,
            disableControlWithClickOnPlayer: true,
            disableControlWithKeyboard: true,
            nativeBrowserControls: true,
        };
        (0, testkit_1.setProperty)(navigator, 'userAgent', 'iPhone');
        (0, chai_1.expect)((0, config_1.default)(params)).to.be.deep.equal(expectedConfig);
    });
    it('should convert config if iPad', function () {
        var params = {};
        var expectedConfig = {
            hideMainUI: true,
            disableControlWithClickOnPlayer: true,
            disableControlWithKeyboard: true,
            nativeBrowserControls: true,
        };
        (0, testkit_1.setProperty)(navigator, 'userAgent', 'iPad');
        (0, chai_1.expect)((0, config_1.default)(params)).to.be.deep.equal(expectedConfig);
    });
    it('should convert config if Android', function () {
        (0, testkit_1.setProperty)(navigator, 'userAgent', 'Android');
        var params = {
            width: 100,
        };
        (0, chai_1.expect)((0, config_1.default)(params)).to.be.deep.equal({
            width: 100,
            disableControlWithClickOnPlayer: true,
            disableControlWithKeyboard: true,
        });
    });
});
//# sourceMappingURL=config.spec.js.map