import { create, registerModule, clearAdditionalModules, registerPlaybackAdapter, clearPlaybackAdapters, IPlayerInstance } from './core/player-factory';
import { modules as DefaultModules } from './core/default-modules';
import { Tooltip } from './modules/ui/core/tooltip';
import playerAPIDecorator from './core/player-api-decorator';
import { ERRORS, UI_EVENTS, VIDEO_EVENTS, TEXT_LABELS, MEDIA_STREAM_TYPES, MEDIA_STREAM_DELIVERY_PRIORITY, ENGINE_STATES, LIVE_STATES } from './constants';
import { PreloadType as PRELOAD_TYPES, CrossOriginValue as CROSS_ORIGIN_VALUES, PlayableMediaSource } from './modules/playback-engine/types';
import { VideoViewMode as VIDEO_VIEW_MODES } from './modules/ui/screen/types';
import { IPlaybackAdapter } from './modules/playback-engine/output/native/adapters/types';
import { IThemeConfig } from './modules/ui/core/theme';
import { IPlayableModule } from './core/playable-module';
export { create, registerModule, clearAdditionalModules, registerPlaybackAdapter, clearPlaybackAdapters, ERRORS, UI_EVENTS, VIDEO_EVENTS, TEXT_LABELS, MEDIA_STREAM_TYPES, MEDIA_STREAM_DELIVERY_PRIORITY, ENGINE_STATES, LIVE_STATES, VIDEO_VIEW_MODES, PRELOAD_TYPES, CROSS_ORIGIN_VALUES, Tooltip, playerAPIDecorator, DefaultModules, IPlayerInstance, PlayableMediaSource, IPlaybackAdapter, IThemeConfig, IPlayableModule, };
declare const _default: {
    create: typeof create;
    registerModule: typeof registerModule;
    clearAdditionalModules: typeof clearAdditionalModules;
    registerPlaybackAdapter: typeof registerPlaybackAdapter;
    clearPlaybackAdapters: typeof clearPlaybackAdapters;
    ERRORS: typeof ERRORS;
    UI_EVENTS: typeof UI_EVENTS;
    VIDEO_EVENTS: typeof VIDEO_EVENTS;
    TEXT_LABELS: typeof TEXT_LABELS;
    MEDIA_STREAM_TYPES: typeof MEDIA_STREAM_TYPES;
    MEDIA_STREAM_DELIVERY_PRIORITY: typeof MEDIA_STREAM_DELIVERY_PRIORITY;
    ENGINE_STATES: typeof ENGINE_STATES;
    LIVE_STATES: typeof LIVE_STATES;
    VIDEO_VIEW_MODES: typeof VIDEO_VIEW_MODES;
    PRELOAD_TYPES: typeof PRELOAD_TYPES;
    CROSS_ORIGIN_VALUES: typeof CROSS_ORIGIN_VALUES;
    Tooltip: typeof Tooltip;
    playerAPIDecorator: (name?: string) => (target: any, property: string, descriptor: PropertyDescriptor) => void;
    DefaultModules: {
        [id: string]: any;
    };
};
export default _default;
