"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefaultModules = exports.playerAPIDecorator = exports.Tooltip = exports.CROSS_ORIGIN_VALUES = exports.PRELOAD_TYPES = exports.VIDEO_VIEW_MODES = exports.LIVE_STATES = exports.ENGINE_STATES = exports.MEDIA_STREAM_DELIVERY_PRIORITY = exports.MEDIA_STREAM_TYPES = exports.TEXT_LABELS = exports.VIDEO_EVENTS = exports.UI_EVENTS = exports.ERRORS = exports.clearPlaybackAdapters = exports.registerPlaybackAdapter = exports.clearAdditionalModules = exports.registerModule = exports.create = void 0;
var tslib_1 = require("tslib");
var player_factory_1 = require("./core/player-factory");
Object.defineProperty(exports, "create", { enumerable: true, get: function () { return player_factory_1.create; } });
Object.defineProperty(exports, "registerModule", { enumerable: true, get: function () { return player_factory_1.registerModule; } });
Object.defineProperty(exports, "clearAdditionalModules", { enumerable: true, get: function () { return player_factory_1.clearAdditionalModules; } });
Object.defineProperty(exports, "registerPlaybackAdapter", { enumerable: true, get: function () { return player_factory_1.registerPlaybackAdapter; } });
Object.defineProperty(exports, "clearPlaybackAdapters", { enumerable: true, get: function () { return player_factory_1.clearPlaybackAdapters; } });
var default_modules_1 = require("./core/default-modules");
Object.defineProperty(exports, "DefaultModules", { enumerable: true, get: function () { return default_modules_1.modules; } });
var tooltip_1 = require("./modules/ui/core/tooltip");
Object.defineProperty(exports, "Tooltip", { enumerable: true, get: function () { return tooltip_1.Tooltip; } });
var player_api_decorator_1 = (0, tslib_1.__importDefault)(require("./core/player-api-decorator"));
exports.playerAPIDecorator = player_api_decorator_1.default;
var constants_1 = require("./constants");
Object.defineProperty(exports, "ERRORS", { enumerable: true, get: function () { return constants_1.ERRORS; } });
Object.defineProperty(exports, "UI_EVENTS", { enumerable: true, get: function () { return constants_1.UI_EVENTS; } });
Object.defineProperty(exports, "VIDEO_EVENTS", { enumerable: true, get: function () { return constants_1.VIDEO_EVENTS; } });
Object.defineProperty(exports, "TEXT_LABELS", { enumerable: true, get: function () { return constants_1.TEXT_LABELS; } });
Object.defineProperty(exports, "MEDIA_STREAM_TYPES", { enumerable: true, get: function () { return constants_1.MEDIA_STREAM_TYPES; } });
Object.defineProperty(exports, "MEDIA_STREAM_DELIVERY_PRIORITY", { enumerable: true, get: function () { return constants_1.MEDIA_STREAM_DELIVERY_PRIORITY; } });
Object.defineProperty(exports, "ENGINE_STATES", { enumerable: true, get: function () { return constants_1.ENGINE_STATES; } });
Object.defineProperty(exports, "LIVE_STATES", { enumerable: true, get: function () { return constants_1.LIVE_STATES; } });
var types_1 = require("./modules/playback-engine/types");
Object.defineProperty(exports, "PRELOAD_TYPES", { enumerable: true, get: function () { return types_1.PreloadType; } });
Object.defineProperty(exports, "CROSS_ORIGIN_VALUES", { enumerable: true, get: function () { return types_1.CrossOriginValue; } });
var types_2 = require("./modules/ui/screen/types");
Object.defineProperty(exports, "VIDEO_VIEW_MODES", { enumerable: true, get: function () { return types_2.VideoViewMode; } });
exports.default = {
    create: player_factory_1.create,
    registerModule: player_factory_1.registerModule,
    clearAdditionalModules: player_factory_1.clearAdditionalModules,
    registerPlaybackAdapter: player_factory_1.registerPlaybackAdapter,
    clearPlaybackAdapters: player_factory_1.clearPlaybackAdapters,
    ERRORS: constants_1.ERRORS,
    UI_EVENTS: constants_1.UI_EVENTS,
    VIDEO_EVENTS: constants_1.VIDEO_EVENTS,
    TEXT_LABELS: constants_1.TEXT_LABELS,
    MEDIA_STREAM_TYPES: constants_1.MEDIA_STREAM_TYPES,
    MEDIA_STREAM_DELIVERY_PRIORITY: constants_1.MEDIA_STREAM_DELIVERY_PRIORITY,
    ENGINE_STATES: constants_1.ENGINE_STATES,
    LIVE_STATES: constants_1.LIVE_STATES,
    VIDEO_VIEW_MODES: types_2.VideoViewMode,
    PRELOAD_TYPES: types_1.PreloadType,
    CROSS_ORIGIN_VALUES: types_1.CrossOriginValue,
    Tooltip: tooltip_1.Tooltip,
    playerAPIDecorator: player_api_decorator_1.default,
    DefaultModules: default_modules_1.modules,
};
//# sourceMappingURL=index.js.map