"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var chai_1 = require("chai");
var eventemitter3_1 = require("eventemitter3");
var player_api_decorator_1 = require("../../core/player-api-decorator");
var event_emitter_1 = (0, tslib_1.__importDefault)(require("./event-emitter"));
describe('EventEmitterModule', function () {
    var eventEmitter;
    beforeEach(function () {
        eventEmitter = new event_emitter_1.default();
    });
    it('should return instance of EventEmitter', function () {
        (0, chai_1.expect)(eventEmitter instanceof eventemitter3_1.EventEmitter).to.be.true;
    });
    describe("returned instance's destroy", function () {
        beforeEach(function () {
            eventEmitter.on('EVENT', function () { });
            eventEmitter.on('EVENT2', function () { });
        });
        it('should remove all listeners for all events', function () {
            eventEmitter.destroy();
            (0, chai_1.expect)(eventEmitter.eventNames()).to.be.deep.equal([]);
        });
    });
    describe('public API', function () {
        it('should have "on" method', function () {
            (0, chai_1.expect)(eventEmitter[player_api_decorator_1.PLAYER_API_PROPERTY].on).to.exist;
        });
        it('should have "off" method', function () {
            (0, chai_1.expect)(eventEmitter[player_api_decorator_1.PLAYER_API_PROPERTY].off).to.exist;
        });
        it('should have "once" method', function () {
            (0, chai_1.expect)(eventEmitter[player_api_decorator_1.PLAYER_API_PROPERTY].once).to.exist;
        });
    });
});
//# sourceMappingURL=event-emitter.spec.js.map