import { IEventEmitter } from '../event-emitter/types';
import { IPlaybackEngine } from '../playback-engine/types';
import { IPlayerConfig } from '../../core/config';
import { IKeyboardControl } from './types';
import { IRootContainer } from '../root-container/types';
import { ListenerFn } from 'eventemitter3';
export declare const AMOUNT_TO_SKIP_SECONDS = 5;
export declare const AMOUNT_TO_CHANGE_VOLUME = 10;
export default class KeyboardControl implements IKeyboardControl {
    static moduleName: string;
    static dependencies: string[];
    private _isEnabled;
    private _eventEmitter;
    private _engine;
    private _keyboardInterceptor;
    constructor({ config, eventEmitter, rootContainer, engine, }: {
        config: IPlayerConfig;
        eventEmitter: IEventEmitter;
        rootContainer: IRootContainer;
        engine: IPlaybackEngine;
    });
    private _initInterceptor;
    private _attachDefaultControls;
    private _destroyInterceptor;
    addKeyControl(key: number, callback: ListenerFn): void;
    destroy(): void;
}
