import View from './download.view';
import { IEventEmitter } from '../../../event-emitter/types';
import { ITooltipService } from '../../core/tooltip/types';
import { IDownloadButtonAPI, IDownloadButton } from './types';
import { ITextMap } from '../../../text-map/types';
import { IThemeService } from '../../core/theme';
declare class DownloadButton implements IDownloadButton {
    static moduleName: string;
    static View: typeof View;
    static dependencies: string[];
    private _eventEmitter;
    private _textMap;
    private _interceptor;
    private _tooltipService;
    private _theme;
    private _callback;
    view: View;
    isHidden: boolean;
    constructor({ eventEmitter, textMap, tooltipService, theme, }: {
        eventEmitter: IEventEmitter;
        textMap: ITextMap;
        tooltipService: ITooltipService;
        theme: IThemeService;
    });
    getElement(): HTMLElement;
    private _bindCallbacks;
    private _initUI;
    private _initInterceptor;
    private _destroyInterceptor;
    private _triggerCallback;
    /**
     * If download button presented, set callback on click
     * @example
     * player.setDownloadClickCallback(() => console.log('handle download logic'));
     */
    setDownloadClickCallback(callback: () => void): void;
    hide(): void;
    show(): void;
    destroy(): void;
}
export { IDownloadButtonAPI };
export default DownloadButton;
