import View from './full-screen.view';
import { IEventEmitter } from '../../../event-emitter/types';
import { ITooltipService } from '../../core/tooltip/types';
import { IFullScreenControl } from './types';
import { IFullScreenManager } from '../../../full-screen-manager/types';
import { ITextMap } from '../../../text-map/types';
import { IThemeService } from '../../core/theme';
export default class FullScreenControl implements IFullScreenControl {
    static moduleName: string;
    static View: typeof View;
    static dependencies: string[];
    private _eventEmitter;
    private _fullScreenManager;
    private _textMap;
    private _interceptor;
    private _tooltipService;
    private _theme;
    private _unbindEvents;
    view: View;
    isHidden: boolean;
    constructor({ eventEmitter, fullScreenManager, textMap, tooltipService, theme, }: {
        eventEmitter: IEventEmitter;
        fullScreenManager: IFullScreenManager;
        textMap: ITextMap;
        tooltipService: ITooltipService;
        theme: IThemeService;
    });
    getElement(): HTMLElement;
    private _bindCallbacks;
    private _bindEvents;
    private _initUI;
    private _initInterceptor;
    private _destroyInterceptor;
    private _toggleFullScreen;
    hide(): void;
    show(): void;
    destroy(): void;
}
