import View from './picture-in-picture.view';
import { IEventEmitter } from '../../../event-emitter/types';
import { ITooltipService } from '../../core/tooltip/types';
import { IPictureInPictureControl } from './types';
import { IPictureInPicture } from '../../../picture-in-picture/types';
import { ITextMap } from '../../../text-map/types';
import { IThemeService } from '../../core/theme';
export default class PictureInPictureControl implements IPictureInPictureControl {
    static moduleName: string;
    static View: typeof View;
    static dependencies: string[];
    private _eventEmitter;
    private _pictureInPictureManager;
    private _textMap;
    private _interceptor;
    private _tooltipService;
    private _theme;
    private _unbindEvents;
    view: View;
    isHidden: boolean;
    constructor({ eventEmitter, pictureInPicture, textMap, tooltipService, theme, }: {
        eventEmitter: IEventEmitter;
        pictureInPicture: IPictureInPicture;
        textMap: ITextMap;
        tooltipService: ITooltipService;
        theme: IThemeService;
    });
    getElement(): HTMLElement;
    private _bindCallbacks;
    private _bindEvents;
    private _initUI;
    private _initInterceptor;
    private _destroyInterceptor;
    private _togglePictureInPicture;
    hide(): void;
    show(): void;
    destroy(): void;
}
