import View from '../../core/view';
import { IView } from '../../core/types';
import { IProgressViewStyles, IProgressViewConfig } from './types';
declare class ProgressView extends View<IProgressViewStyles> implements IView<IProgressViewStyles> {
    private _callbacks;
    private _textMap;
    private _tooltipService;
    private _syncButtonTooltipReference;
    private _isDragging;
    private _currentPlayedPercent;
    private _dragEvents;
    private _$rootElement;
    private _$hitbox;
    private _$played;
    private _$buffered;
    private _$seekTo;
    private _$timeIndicators;
    private _$seekButton;
    private _$syncButton;
    constructor(config: IProgressViewConfig);
    private _initDOM;
    private _bindCallbacks;
    private _bindEvents;
    private _unbindEvents;
    private _startDragOnMouseDown;
    private _stopDragOnMouseUp;
    private _startSeekToByMouse;
    private _stopSeekToByMouse;
    private _setPlayedByDrag;
    private _startDrag;
    private _stopDrag;
    private _setSeekToDOMAttributes;
    private _setPlayedDOMAttributes;
    private _setPlayedDOMPosition;
    private _setBufferedDOMAttributes;
    private _syncWithLive;
    updateOnResize(): void;
    showSyncWithLive(): void;
    hideSyncWithLive(): void;
    setLiveSyncState(isSync: boolean): void;
    showProgressTimeTooltip(element: HTMLElement, percent: number): void;
    hideProgressTimeTooltip(): void;
    setLiveMode(): void;
    setUsualMode(): void;
    setPlayed(percent: number): void;
    setBuffered(percent: number): void;
    addTimeIndicator(percent: number): void;
    clearTimeIndicators(): void;
    hide(): void;
    show(): void;
    getElement(): HTMLElement;
    destroy(): void;
}
export default ProgressView;
