import View from '../../core/view';
import { IView } from '../../core/types';
import { IVolumeViewStyles, IVolumeViewConfig } from './types';
declare class VolumeView extends View<IVolumeViewStyles> implements IView<IVolumeViewStyles> {
    private _callbacks;
    private _textMap;
    private _tooltipService;
    private _muteToggleTooltipReference;
    private _$rootElement;
    private _$muteToggle;
    private _$volumeContainer;
    private _$volume;
    private _$hitbox;
    private _isDragging;
    constructor(config: IVolumeViewConfig);
    private _initDOM;
    private _bindCallbacks;
    private _bindEvents;
    private _unbindEvents;
    private _startDragOnMouseDown;
    private _stopDragOnMouseUp;
    private _setVolumeByClick;
    private _setVolumeByDrag;
    private _setVolumeByWheel;
    private _startDrag;
    private _stopDrag;
    private _setVolumeDOMAttributes;
    private _onButtonClick;
    setVolume(volume: number): void;
    setMute(isMuted: boolean): void;
    private _setMuteDOMAttributes;
    show(): void;
    hide(): void;
    getElement(): HTMLElement;
    getButtonElement(): HTMLElement;
    getInputElement(): HTMLElement;
    destroy(): void;
}
export default VolumeView;
