"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var chance_1 = (0, tslib_1.__importDefault)(require("chance"));
var chai_1 = require("chai");
var stylable_1 = (0, tslib_1.__importDefault)(require("./stylable"));
var chance = new chance_1.default();
describe('Stylable', function () {
    var stylable;
    beforeEach(function () {
        stylable = new stylable_1.default();
    });
    afterEach(function () {
        stylable_1.default.resetStyles();
    });
    it('instance should have method for getting styles', function () {
        (0, chai_1.expect)(stylable.styleNames).to.be.deep.equal({});
    });
    it('should have method for extending styles', function () {
        var styleNames = {
            name: 'value',
        };
        stylable_1.default.extendStyleNames(styleNames);
        (0, chai_1.expect)(stylable.styleNames).to.be.deep.equal(styleNames);
    });
    it('method for extending styles should merge styleNames for same style', function () {
        var styleNames1 = {
            name: chance.word(),
        };
        var styleNames2 = {
            name: chance.word(),
        };
        stylable_1.default.extendStyleNames(styleNames2);
        stylable_1.default.extendStyleNames(styleNames1);
        (0, chai_1.expect)(stylable.styleNames.name.split(' ')).to.include.members([
            styleNames1.name,
            styleNames2.name,
        ]);
    });
});
//# sourceMappingURL=stylable.spec.js.map