import Tooltip from './tooltip';
import Stylable from '../stylable';
import { ITooltipPosition, ITooltipPositionFunction } from './types';
interface ITooltipContainer {
    getElement(): HTMLElement;
    getTooltipPositionStyles(position: ITooltipPosition): {
        [ket: string]: string | number;
    };
    destroy(): void;
}
declare class TooltipContainer extends Stylable implements ITooltipContainer {
    private _tooltip;
    private _$rootElement;
    constructor(tooltip: Tooltip);
    getElement(): HTMLElement;
    private _initDOM;
    getTooltipPositionStyles(position: ITooltipPosition | ITooltipPositionFunction): {
        left: string;
        top: number;
        bottom: string;
    } | {
        left: string;
        top: string;
        bottom: number;
    };
    destroy(): void;
    private _getTooltipLeftX;
}
export { ITooltipContainer };
export default TooltipContainer;
