import View from './debug-panel.view';
import { IPlaybackEngine } from '../../playback-engine/types';
import { IRootContainer } from '../../root-container/types';
import { IKeyboardControl } from '../../keyboard-control/types';
export default class DebugPanel {
    static moduleName: string;
    static View: typeof View;
    static dependencies: string[];
    private _engine;
    private _interval;
    view: View;
    isHidden: boolean;
    constructor({ engine, rootContainer, keyboardControl, }: {
        engine: IPlaybackEngine;
        rootContainer: IRootContainer;
        keyboardControl: IKeyboardControl;
    });
    private _keyControlCallback;
    getElement(): HTMLElement;
    private _initUI;
    private _bindCallbacks;
    getDebugInfo(): import("../../playback-engine/types").IEngineDebugInfo | {
        url: string;
        type: import("../../../constants/media-stream").MediaStreamType;
        deliveryPriority: string;
        currentBitrate: string;
        overallBufferLength: number;
        nearestBufferSegInfo: Object;
        viewDimensions: Object;
        currentTime: number;
        duration: number;
        loadingStateTimestamps: Object;
        bitrates: string[];
        bwEstimate: number;
        output: "html5video";
    };
    updateInfo(): void;
    setUpdateInterval(): void;
    clearUpdateInterval(): void;
    show(): void;
    hide(): void;
    destroy(): void;
}
