import { ITooltipService } from '../core/tooltip/types';
import { ITextMap } from '../../text-map/types';
declare type ILiveIndicatorViewStyles = {
    liveIndicator: string;
    liveIndicatorButton: string;
    clickable: string;
    active: string;
    hidden: string;
    ended: string;
};
declare type ILiveIndicatorViewCallbacks = {
    onClick: EventListenerOrEventListenerObject;
};
declare type ILiveIndicatorViewConfig = {
    callbacks: ILiveIndicatorViewCallbacks;
    textMap: ITextMap;
    tooltipService: ITooltipService;
};
interface ILiveIndicator {
    getElement(): HTMLElement;
    isHidden: boolean;
    isActive: boolean;
    show(): void;
    hide(): void;
    destroy(): void;
}
export { ILiveIndicator, ILiveIndicatorViewStyles, ILiveIndicatorViewCallbacks, ILiveIndicatorViewConfig, };
