import View from './loading-cover.view';
import { IEventEmitter } from '../../event-emitter/types';
import { IPlaybackEngine } from '../../playback-engine/types';
import { IBottomBlock } from '../bottom-block/types';
import { ILoadingCover } from './types';
import { IRootContainer } from '../../root-container/types';
export default class LoadingCover implements ILoadingCover {
    static moduleName: string;
    static View: typeof View;
    static dependencies: string[];
    private _eventEmitter;
    private _engine;
    private _bottomBlock;
    private _unbindEvents;
    view: View;
    isHidden: boolean;
    constructor({ eventEmitter, engine, bottomBlock, rootContainer, }: {
        eventEmitter: IEventEmitter;
        engine: IPlaybackEngine;
        bottomBlock: IBottomBlock;
        rootContainer: IRootContainer;
    });
    getElement(): HTMLElement;
    private _bindEvents;
    private _checkForWaitingState;
    private _initUI;
    hide(): void;
    show(): void;
    /**
     * Method for setting source of image, that would be used as loading cover instead of loader.
     * @param src - Link to your image
     * @example
     * player.setLoadingCover('https://example.com/cover.png');
     *
     */
    setLoadingCover(src: string): void;
    destroy(): void;
}
