import View from '../core/view';
import { IView } from '../core/types';
import { INormalizedFramesQuality } from '../preview-service/types';
import { IPreviewThumbnailViewStyles } from './types';
declare class PreviewThumbnailView extends View<IPreviewThumbnailViewStyles> implements IView<IPreviewThumbnailViewStyles> {
    private _$rootElement;
    private _$lowQualityThumb;
    private _$highQualityThumb;
    private _$timeText;
    constructor();
    private _initDOM;
    getElement(): HTMLElement;
    showAsEmpty(): void;
    showWithPreview(): void;
    clearLowQualityPreview(): void;
    clearHighQualityPreview(): void;
    setLowQualityPreview(qualityData: INormalizedFramesQuality): void;
    setHighQualityPreview(qualityData: INormalizedFramesQuality): void;
    private _applyQualityToThumbElement;
    setTime(time: string): void;
    destroy(): void;
}
export default PreviewThumbnailView;
