import View from '../core/view';
import { IView } from '../core/types';
import { VideoViewMode, IScreenViewStyles, IScreenViewConfig } from './types';
declare class ScreenView extends View<IScreenViewStyles> implements IView<IScreenViewStyles> {
    private _callbacks;
    private _$rootElement;
    private _$canvas;
    private _$playbackElement;
    private _isHorizontalStripes;
    private _requestAnimationFrameID;
    private _currentMode;
    private _styleNamesByViewMode;
    constructor(config: IScreenViewConfig);
    private _bindCallbacks;
    private _initDOM;
    private _bindEvents;
    private _unbindEvents;
    focusOnNode(): void;
    show(): void;
    hide(): void;
    getElement(): HTMLElement;
    hideCursor(): void;
    showCursor(): void;
    setViewMode(viewMode: VideoViewMode): void;
    setBackgroundSize(width: number, height: number): void;
    setBackgroundWidth(width: number): void;
    setBackgroundHeight(height: number): void;
    private _startUpdatingBackground;
    private _stopUpdatingBackground;
    resetAspectRatio(): void;
    resetBackground(): void;
    private _getSourceAreas;
    private _getCanvasAreas;
    private _drawAreaFromSource;
    private _drawBackground;
    private _updateBackground;
    private _clearBackground;
    destroy(): void;
}
export default ScreenView;
