import { ILiveIndicator } from '../live-indicator/types';
import { ITitle } from '../title/types';
import { ITopBlockAPI, ITopBlock } from './types';
import View from './top-block.view';
interface IDependencies {
    title: ITitle;
    liveIndicator: ILiveIndicator;
}
declare class TopBlock implements ITopBlock {
    static moduleName: string;
    static View: typeof View;
    static dependencies: string[];
    private _isBlockFocused;
    isHidden: boolean;
    view: View;
    constructor(dependencies: IDependencies);
    private _bindViewCallbacks;
    private _initUI;
    private _getElements;
    private _setFocusState;
    private _removeFocusState;
    get isFocused(): boolean;
    getElement(): HTMLElement;
    hide(): void;
    show(): void;
    showTitle(): void;
    hideTitle(): void;
    showLiveIndicator(): void;
    hideLiveIndicator(): void;
    showContent(): void;
    hideContent(): void;
    destroy(): void;
}
export { ITopBlockAPI };
export default TopBlock;
