import { Container } from './dependency-container/createContainer';
import { IPlayerConfig } from './config';
import { IThemeConfig } from '../modules/ui/core/theme';
export default class Player {
    protected _config: IPlayerConfig;
    protected _scope: Container;
    protected _defaultModules: {
        [id: string]: any;
    };
    protected _additionalModules: {
        [id: string]: any;
    };
    private _destroyed;
    constructor(params: IPlayerConfig, scope: Container, defaultModulesNames?: string[], additionalModuleNames?: string[], themeConfig?: IThemeConfig);
    private _resolveDefaultModules;
    private _resolveAdditionalModules;
    private _getWrappedCallToModuleFunction;
    private _getPlayerAPIMethodDescriptor;
    private _getModuleApi;
    private _addPlayerAPIFromModule;
    private _clearPlayerAPIForModule;
    destroy(): void;
}
