import { IPictureInPictureHelper } from './types';
export interface ChromeWebkitHTMLVideo extends HTMLVideoElement {
    requestPictureInPicture: () => Promise<any>;
}
export interface ChromeDocument extends Document {
    pictureInPictureEnabled: boolean;
    pictureInPictureElement: Element;
    exitPictureInPicture: () => Promise<void>;
}
export default class ChromePictureInPicture implements IPictureInPictureHelper {
    private _$elem;
    private _callback;
    constructor(elem: HTMLVideoElement, callback: EventListener);
    get isAPIExist(): boolean;
    get isAPIEnabled(): boolean;
    get isInPictureInPicture(): boolean;
    get isEnabled(): boolean;
    private _bindEvents;
    private _unbindEvents;
    private _enterWhenHasMetaData;
    private catchException;
    request(): false | Promise<any>;
    exit(): boolean;
    destroy(): void;
}
