import { IPlayControl } from './types';
import View from './play.view';
import { IEventEmitter } from '../../../event-emitter/types';
import { IPlaybackEngine } from '../../../playback-engine/types';
import { IThemeService } from '../../core/theme';
import { ITextMap } from '../../../text-map/types';
export default class PlayControl implements IPlayControl {
    static moduleName: string;
    static View: typeof View;
    static dependencies: string[];
    private _engine;
    private _eventEmitter;
    private _textMap;
    private _theme;
    private _interceptor;
    private _unbindEvents;
    view: View;
    constructor({ engine, eventEmitter, textMap, theme, }: {
        engine: IPlaybackEngine;
        eventEmitter: IEventEmitter;
        textMap: ITextMap;
        theme: IThemeService;
    });
    getElement(): HTMLElement;
    private _initInterceptor;
    private _destroyInterceptor;
    private _bindCallbacks;
    private _bindEvents;
    private _togglePlayback;
    private _playVideo;
    private _pauseVideo;
    private _updatePlayingState;
    private _initUI;
    destroy(): void;
}
