import { IThemeAPI, IThemeService, ICSSRules, IThemeConfig } from './types';
declare const DEFAULT_THEME_CONFIG: {
    color: string;
    liveColor: string;
    progressColor: string;
};
declare class ThemeService implements IThemeService {
    static moduleName: string;
    static dependencies: string[];
    private _styleSheet;
    constructor({ themeConfig }: {
        themeConfig: IThemeConfig;
    });
    /**
     * Method for setting theme for player instance
     *
     * @example
     * player.updateTheme({
     *   progressColor: "#AEAD22"
     * })
     * @note
     *
     * You can check info about theming [here](/themes)
     *
     * @param themeConfig - Theme config
     *
     */
    updateTheme(themeConfig: IThemeConfig): void;
    registerModuleTheme(module: object, rules: ICSSRules): void;
    get(module: any): import("../types").IStyles;
    destroy(): void;
}
export { DEFAULT_THEME_CONFIG, IThemeService, IThemeAPI };
export default ThemeService;
