import { IStyles } from '../types';
declare type ICSSRuleFunction = (data: any) => string;
declare type ICSSRule = {
    [cssPropName: string]: string | ICSSRuleFunction | ICSSRule;
};
declare type ICSSRules = {
    [classImportName: string]: ICSSRule;
};
declare type IThemeConfig = {
    color?: string;
    progressColor?: string;
};
interface IThemeService {
    updateTheme(config: IThemeConfig): void;
    registerModuleTheme(module: object, rules: ICSSRules): void;
    get(module: object): IStyles;
    destroy(): void;
}
interface IThemeAPI {
    updateTheme?: (themeConfig: IThemeConfig) => void;
}
export { IThemeAPI, IThemeService, ICSSRuleFunction, ICSSRule, ICSSRules, IThemeConfig, };
