import TooltipReference from './tooltip-reference';
import { ITooltipShowOptions, ITooltipService, ITooltipReferenceOptions } from './types';
import { IEventEmitter } from '../../../event-emitter/types';
declare class TooltipService implements ITooltipService {
    static moduleName: string;
    static dependencies: string[];
    private _tooltip;
    private _tooltipContainer;
    private _eventEmitter;
    private _unbindEvents;
    constructor({ eventEmitter }: {
        eventEmitter: IEventEmitter;
    });
    get isHidden(): boolean;
    get tooltipContainerElement(): HTMLElement;
    private _bindEvents;
    /**
     * Set new tooltip title
     */
    setText(text: string): void;
    /**
     * Show tooltip with title
     */
    show(options: ITooltipShowOptions): void;
    clearElement(): void;
    /**
     * Hide tooltip
     */
    hide(): void;
    /**
     * Create tooltip reference which show/hide tooltip on hover and focus events
     * @param reference - reference node
     * @param options - tooltip title and other options
     * @returns tooltip reference instance
     */
    createReference(reference: HTMLElement, options: ITooltipReferenceOptions): TooltipReference;
    destroy(): void;
}
export { ITooltipService };
export default TooltipService;
