import View from './interaction-indicator.view';
import { IEventEmitter } from '../../event-emitter/types';
import { IPlaybackEngine } from '../../playback-engine/types';
import { IInteractionIndicator } from './types';
import { IPlayerConfig } from '../../../core/config';
import { IRootContainer } from '../../root-container/types';
export default class InteractionIndicator implements IInteractionIndicator {
    static moduleName: string;
    static View: typeof View;
    static dependencies: string[];
    private _eventEmitter;
    private _engine;
    private _unbindEvents;
    view: View;
    constructor({ eventEmitter, engine, config, rootContainer, }: {
        eventEmitter: IEventEmitter;
        engine: IPlaybackEngine;
        config: IPlayerConfig;
        rootContainer: IRootContainer;
    });
    getElement(): HTMLElement;
    private _initUI;
    private _bindEvents;
    showPause(): void;
    showPlay(): void;
    showRewind(): void;
    showForward(): void;
    showMute(): void;
    showIncreaseVolume(): void;
    showDecreaseVolume(): void;
    hideIcons(): void;
    show(): void;
    hide(): void;
    private _showPlaybackChangeIndicator;
    destroy(): void;
}
