import LiveIndicatorView from './live-indicator.view';
import { ITooltipService } from '../core/tooltip/types';
import { IEventEmitter } from '../../event-emitter/types';
import { ITextMap } from '../../text-map/types';
import { IPlaybackEngine } from '../../playback-engine/types';
import { ILiveIndicator } from './types';
export default class LiveIndicator implements ILiveIndicator {
    static moduleName: string;
    static View: typeof LiveIndicatorView;
    static dependencies: string[];
    private _engine;
    private _eventEmitter;
    private _textMap;
    private _tooltipService;
    private _interceptor;
    private _isHidden;
    private _isActive;
    private _isEnded;
    private _unbindEvents;
    view: LiveIndicatorView;
    constructor({ engine, eventEmitter, textMap, tooltipService, }: {
        engine: IPlaybackEngine;
        eventEmitter: IEventEmitter;
        textMap: ITextMap;
        tooltipService: ITooltipService;
    });
    getElement(): HTMLElement;
    private _initInterceptor;
    get isHidden(): boolean;
    get isActive(): boolean;
    show(): void;
    hide(): void;
    private _initUI;
    private _bindCallbacks;
    private _bindEvents;
    private _processStateChange;
    private _syncWithLive;
    private _toggle;
    private _toggleActive;
    private _toggleEnded;
    destroy(): void;
}
