import { ListenerFn } from 'eventemitter3';
export declare const KEYCODES: {
    SPACE_BAR: number;
    ENTER: number;
    TAB: number;
    LEFT_ARROW: number;
    RIGHT_ARROW: number;
    UP_ARROW: number;
    DOWN_ARROW: number;
    DEBUG_KEY: number;
};
interface ICallbacks {
    [keyCode: string]: ListenerFn;
}
export default class KeyboardInterceptorCore {
    private _eventEmitter;
    private _element;
    constructor(element: HTMLElement, callbacks?: ICallbacks);
    private _attachCallbacks;
    private _unattachCallbacks;
    private _bindCallbacks;
    private _bindEvents;
    private _unbindEvents;
    addCallbacks(callbacks: ICallbacks): void;
    private _processKeyboardInput;
    private get _isDestroyed();
    destroy(): void;
}
export {};
